"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ControllersContainer = void 0;
const awilix = require('awilix');
class ControllersContainer {
    constructor() { }
    static getContainer() {
        return ControllersContainer.container;
    }
    static get(key) {
        return ControllersContainer.container.resolve(key);
    }
    static set(key, value, lifetime) {
        const obj = new Object();
        obj[key] = awilix.asClass(value, { lifetime: lifetime });
        ControllersContainer.container.register(obj);
    }
    static remove(key) {
        const obj = new Object();
        obj[key] = undefined;
        ControllersContainer.container.register(obj);
    }
}
exports.ControllersContainer = ControllersContainer;
// Create the container and set the injectionMode to CLASSIC.
ControllersContainer.container = awilix.createContainer({
    injectionMode: awilix.InjectionMode.CLASSIC
});
