import { HTTPResponse } from "../constants/enum";
/**
 * Class representing response of authentication and authorization.
 */
export declare class AuthResponse {
    /** A random prop to identify this class. */
    private d1fecb2634084eec8cda84f666d3f9c4;
    /** Is the call authenticated and authorized. */
    isAuthenticatedAndAuthorized: boolean;
    /** If the auth failed, the optional message to return as API call response. */
    authFailureMessage?: any;
    /** HTTP Statuscode. Possible values in case of failure - 401 Unauthorized | 403 Forbidden */
    statusCode: HTTPResponse;
    constructor(isAuthNAuth: boolean, statusCode: HTTPResponse, authFailureMessage?: any);
}
